declare module '*.png' {
  const value: string;
  export default value;
}

declare module 'vue-leaflet' {
  export const LMap: any;
  export const LTileLayer: any;
  export const LMarker: any;
  export const LPopup: any;
}

declare module '*.vue' {
  import { DefineComponent } from 'vue';
  const component: DefineComponent<{}, {}, any>;
  export default component;
}

// global.d.ts 或者您的项目中的某个 .d.ts 文件

interface CustomError extends Error {
  response?: {
    status: number;
    data?: any;
  };
  message?: string;
}

declare global {
  interface ErrorConstructor {
    new(message?: string): CustomError;
  }
}